Bug 39016 - users/self module not shown in umc
users/self module not shown in umc
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Users
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.1-1-errata
Assigned To: Florian Best
Jürn Brodersen
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-23 17:44 CEST by Tobias Birkefeld
Modified: 2017-06-22 15:36 CEST (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:
best: Patch_Available+


Attachments
patch (1.54 KB, patch)
2015-07-23 17:46 CEST, Florian Best
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Birkefeld univentionstaff 2015-07-23 17:44:53 CEST
In UCS3.x after activating udm-self in a UMC policy at a user and creating a extended Attribute which extend this module, this attribute is shown and editable for the user in the umc.
Same settings under ucs4 will not shown the attribute in the umc. Problem is a hardcoded flavor for users/self in udm.xml
Usage of "ucr set umc/module/udm/users/self/disabled=true" doesn't effect the udm.xml.
Comment 1 Florian Best univentionstaff 2015-07-23 17:46:30 CEST
Created attachment 7045 [details]
patch

We should not disable the flavor in the XML but via UCR variables. Patch has the same effect but the user is able to overwrite it.
Comment 2 Tobias Birkefeld univentionstaff 2015-07-23 17:51:37 CEST
reported by customer Ticket#2015072221000601
Comment 3 Florian Best univentionstaff 2016-03-09 06:47:07 CET
Applied the patch. QA: Nothing changes after upgrading the package. If ucr set 
umc/module/udm/users/self/disabled=false the User settings module should be shown again in the module overview.

univention-management-console-module-udm (6.0.11-11):
r68005 | Bug #39016: make it possible to reactivate the users/self module again

univention-management-console-module-udm.yaml:
r68006 | YAML Bug #39016
Comment 4 Jürn Brodersen univentionstaff 2016-03-14 16:27:08 CET
What I tested:
Added an extended attribute to users/self
Set udm-self policy for a user
ucr set umc/module/udm/users/self/disabled=false
-> User settings are shown in the module overview
ucr set umc/module/udm/users/self/disabled=true
-> User settings are not shown in the module overview

Changes: OK.
YAML: OK.
Comment 5 Florian Best univentionstaff 2016-03-18 06:46:34 CET
<http://errata.software-univention.de/ucs/4.1/133.html>